platform-transfers

POST /v1/platform-transfers/quote

Price a transfer without buying it.

Tutti gli endpoint platform-transfers

Autenticazione

Invia una chiave API come token di tipo bearer. La chiave deve disporre dell'autorizzazione billing.view; una chiave sprovvista di tale autorizzazione viene rifiutata con 403 anziché 404.

Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.

Provalo

Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.

curl -X POST https://api.zinndigital.com/v1/platform-transfers/quote \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "source_platform": <string>, "target_platform": <string>, "entity_count": <integer> }'

Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API

Dettagli

The tier a given move would be sold at, chosen as the cheapest whose entity bound covers the store. Creates nothing and charges nothing. Requires `billing.view`.

Corpo della richiesta

NomeTipoObbligatorioChe cos'è
source_platformstring
target_platformstring
entity_countintegerProducts + customers + orders + posts, as the customer estimates them.

Risposta

NomeTipoObbligatorioChe cos'è
tier_codestring
tier_namestring
price_amount_minorinteger
currencystring
sla_business_daysinteger
max_entitiesobjectNo

Errori che questo endpoint può restituire

401 · 403 · 422 · 429